#######################################################
#
# Family Tree generation program, v2.0
# Written by Ferenc Bodon and Simon Ward, March 2000 (simonward.com)
# Copyright (C) 2000 Ferenc Bodon, Simon K Ward
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# For a copy of the GNU General Public License, visit 
# http://www.gnu.org or write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#######################################################

use strict;
use warnings;
use utf8;


package RussianTextGenerator;

sub new {
  my ( $classname ) = @_;
  my $self = {
    members => "Участники генеалогического дерева",
    Relatives => "Родственники",
    Faces => "Лица",
    Surnames =>"Фамилии",
    Homepages => "Домашние страницы",
    homepage => "домашняя страница",
    Birthdays => "Дни рождиния",
    birthday => "День рохдения",
    Error => "Ошибка",
    Sorry => "Извините",  
    Passwd_need => "Вы должны ввести пароль, чтобы видеть эти страницы.",
    Wrong_passwd => "Вы дали непверный пароль для этих страниц.",
    
    father => "Отец",
    mother => "Мать",
    nickname => "Псевдоним",
    place_of_birth => "Место рождиния",
    place_of_death =>"Место смерти",
    cemetery => "Кладбище",
    schools => "Школы",
    jobs => "Работы",
    work_places => "Места работы",
    places_of_living => "Места проживания",
    general => "Общий",
    
    siblings => "Родные Братья/Сестры",
    siblings_on_father => "Дети со стороны отца",
    siblings_on_mother => "Дети со стороны матери",
    children => "Дети",
    husbands => "Мужья",
    wives => "Жены",
    
    date_of_birth => "Дата рождения",
    date_of_death => "Дата смерти",
    Total => "Общее количество",
    people => "Люди",
    Emails => "Почтовые адреса",
    email => "Почтовый адрес",
    Hall_of_faces => "Зал лиц",
    Total_with_email => "Общее количество людей с адресом электронной почты: ",
    Total_with_homepage => "Общее количество людей с домашней страницей: ",
    Total_with_photo => "Общее количество людей с фотографией: ",
    months_array => [ "Январь", "Февраль", "Март", "Апрель", "Май", "Июнь",
      "Июль",    "Август",   "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"],
    Invalid_option => "Неврный тип параметра",
    Valid_options => "Доступные варианты <нет>, фамилии, лица, электронные письма, домашние страницы, дни рождения.",
    ZoomIn => "Увеличить",
    ZoomOut => "Уменьшить",
    CheckAnotherMonth => "Проверьте другой месяц",
    DonationSentence => "Программное обеспечение генеалогического дерева абсолютно свободно. Однако, чтобы держать его в живых добавления необходимы.",
    Go => "Перейти",
    Unknown => "Неизвестный",
    name => "Имя",
    photo => "Фотография",
    man => "Мужчина",
    woman => "Женщина",
    unknown => "неизвестный",

    hungarian => "Венгерский",
    polish => "Польский",   
    english => "Английский",
    german => "Немецкий",
    spanish => "Испанский",
    italian => "Итальянский",
    french => "Французкий",
    slovenian => "Словенский",
    romanian => "Румынский",
    russian => "русский",
    japanese => "Японский",
    chinese => "Китайский",
  };
  return bless $self, $classname;
}

sub summary{
  my ($self, $nr_people) = @_;
  return "Total: $nr_people people \n";
}
sub maintainer {
    my ($self, $admin_name, $admin_email, $admin_webpage) = @_;
    my $text;
    $text = "Family data maintained by";
    if(defined $admin_webpage) {
      $text .= "<a href=\"".$admin_webpage."\" target=\"_new\">".$admin_name."</a>";
    }
    else{
      $text .= $admin_name;
    }
    $text .= "- please <a href=\"mailto:$admin_email\">email</a> any omissions or corrections.";
}
sub software {
  my ($self, $version) = @_;
  return "Family tree software (ver. $version) by <a href=\"http://www.cs.bme.hu/~bodon/en/index.html\" target=\"_new\">Ferenc Bodon</a> and ".
  "<a href=\"http://simonward.com/\"  target=\"_new\">Simon Ward</a> - <a href=\"http://freshmeat.net/projects/familytree_cgi/\">details</a>.\n";
}
sub People_with_surname {
  my ($self, $surname) = @_;
  return "People with surname ".$surname;
} 
sub noDataAbout {
  my ($self, $id) = @_;
  return "ERROR: No entry found for $id";
}
sub familyTreeFor {
    my ($self, $name) = @_;
    return "Family tree for $name";
}
sub ZoomIn {
  my ($self, $level) = @_;
  return "Zoom in: show no more than $level generations.";
}
sub ZoomOut {
  my ($self, $level) = @_;
  return "Zoom out: show up to $level generations above and below.";
}
sub birthday_reminder {
    my ($self, $month_index) = @_;
    return "Birthday reminders for ".$self->{months_array}[$month_index];
}

sub total_living_with_birthday {
    my ($self, $month_index) = @_;
    return "Total number of living people with birthday in ".$self->{months_array}[$month_index].": "; 
}

1;